Add Rollback, Autopatrolled, Template Editor, Patroller and Rollback to Persian Wikiquote
Closed, ResolvedPublic

Description

Hello,
I noticed that Persian Wikiquote has a good potential for going more wide but there are important permissions missing.
As it's common, Auto Patrolled and Patroller (+ Pending Changes) are needed to protect a wiki.
though getting Moderator access for editing and improving backend part of the wiki isn't logical and it's in need of Consensus.
So here's the request :
Pending Changes protection, Autopatrolled, Patroller and Rollback to Persian Wikiquote.
And it'll be good if a Template Editor be added to make ease for technical users.
Regards.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2017, 7:19 PM

Has this been discussed among the local community?

MohammadtheEditor added a comment.EditedJan 24 2017, 7:29 PM

There aren't any technical user but User:Sajad there. if it is required, tell me to make it but I didn't cause even normal discussions are often inactive and I haven't been told to do it.

If there isn't enough users to even discuss this change I suspect there won't be enough users to do the checking work.

Urbanecm triaged this task as Low priority.Jan 24 2017, 7:44 PM

There are active users in the Wiki, but most of them don't contribute in technical discussions. there will be users to use requested permissions but not enough users that deal with code everyday.
In this case, I can make a discussion in the wiki. Ready for doing any instructions or needed information.

MarcoAurelio lowered the priority of this task from Low to Lowest.Jan 24 2017, 10:24 PM
MarcoAurelio changed the task status from Open to Stalled.
MarcoAurelio added a subscriber: MarcoAurelio.

As for FlaggedRevs and taking into count past recent requests, it should be
declined due to the unsolved security bugs discovered, let alone that it
seems that there's no community capable of managing the burden that FR
brings with it.

As for the other permissions, community consensus is needed, and not from a
couple of users or just newcommers. Template editor means also a new level
of protection at least. On small wikis this is often unneeded and a barrier
for new contributors, so I suggest to decline as well.

As for rollback and autopatrol I don't worry about them that much, but just
wonder how useful they could be there.

In any case, community discussion is needed at least for autopatrol and
rollback.

MohammadtheEditor changed the task status from Stalled to Open.Feb 7 2017, 11:43 AM

autopatrolled and rollback looks safe to handle, set to be added and removed by administrators

Change 336401 had a related patch set uploaded (by MarcoAurelio):
Create autopatrolled and rollbacker permissions for fa.wikiquote

https://gerrit.wikimedia.org/r/336401

In the above patch I've created the autopatrolled and rollbacker groups since those are safe to handle. Administrators will be able to add and remove users to/from that group.

As for the template editor requested usergroup, I suggest to decline. That group requires to create a new level of protection on the wiki. I don't think that the level of edits, size and other factors currently merits the creation of this.

As for the patroller one, if it is for flaggedrevs it should also be declined as FlaggedRevs are unlikely to be installed on more projects, plus I don't think fa.wikiquote will be able to handle the burden of work that extension requires to be useful. However we can create the patroller group with the patrol, patrolmarks and autopatrol rights so they can check new pages not yet reviewed and mark them as patrolled.

For now, I've scheduled for deployment the patch creating the autopatrolled and rollbacker usergroups. Pending for the others for further discussion.

Change 336401 merged by jenkins-bot:
Create autopatrolled and rollbacker permissions for fa.wikiquote

https://gerrit.wikimedia.org/r/336401

Mentioned in SAL (#wikimedia-operations) [2017-02-08T19:17:54Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Create autopatrolled and rollbacker permissions for fa.wikiquote (T156163) (duration: 00m 43s)

MarcoAurelio removed a project: Patch-For-Review.
MarcoAurelio closed this task as Resolved.

Closing as resolved.